package com.bonus.material.ma.service.impl;

import java.util.List;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.material.ma.mapper.TypeNumHisMapper;
import com.bonus.material.ma.domain.TypeNumHis;
import com.bonus.material.ma.service.ITypeNumHisService;

/**
 * 机具类型历史库存Service业务层处理
 * 
 * @author xsheng
 * @date 2024-09-27
 */
@Service
public class TypeNumHisServiceImpl implements ITypeNumHisService 
{
    @Autowired
    private TypeNumHisMapper typeNumHisMapper;

    /**
     * 查询机具类型历史库存
     * 
     * @param typeId 机具类型历史库存主键
     * @return 机具类型历史库存
     */
    @Override
    public TypeNumHis selectTypeNumHisByTypeId(Long typeId)
    {
        return typeNumHisMapper.selectTypeNumHisByTypeId(typeId);
    }

    /**
     * 查询机具类型历史库存列表
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 机具类型历史库存
     */
    @Override
    public List<TypeNumHis> selectTypeNumHisList(TypeNumHis typeNumHis)
    {
        return typeNumHisMapper.selectTypeNumHisList(typeNumHis);
    }

    /**
     * 新增机具类型历史库存
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 结果
     */
    @Override
    public int insertTypeNumHis(TypeNumHis typeNumHis)
    {
        typeNumHis.setCreateTime(DateUtils.getNowDate());
        return typeNumHisMapper.insertTypeNumHis(typeNumHis);
    }

    /**
     * 修改机具类型历史库存
     * 
     * @param typeNumHis 机具类型历史库存
     * @return 结果
     */
    @Override
    public int updateTypeNumHis(TypeNumHis typeNumHis)
    {
        typeNumHis.setUpdateTime(DateUtils.getNowDate());
        return typeNumHisMapper.updateTypeNumHis(typeNumHis);
    }

    /**
     * 批量删除机具类型历史库存
     * 
     * @param typeIds 需要删除的机具类型历史库存主键
     * @return 结果
     */
    @Override
    public int deleteTypeNumHisByTypeIds(Long[] typeIds)
    {
        return typeNumHisMapper.deleteTypeNumHisByTypeIds(typeIds);
    }

    /**
     * 删除机具类型历史库存信息
     * 
     * @param typeId 机具类型历史库存主键
     * @return 结果
     */
    @Override
    public int deleteTypeNumHisByTypeId(Long typeId)
    {
        return typeNumHisMapper.deleteTypeNumHisByTypeId(typeId);
    }
}
